Subject: Re: [PATCH 03/14] hash: use uint32_t for object_id algorithm

From: "brian m. carlson" <[email-masked]>
Date: Wed, 29 Oct 2025 00:33:30 +0000

On 2025-10-28 at 09:16:57, Patrick Steinhardt wrote:
> An alternative would be to introduce an enum and set up bindgen so that
> we can pull this enum into Rust. I'd personally favor that over using an
> uint32_t as it conveys way more meaning. Have you considered this?

That would lead to problems because we zero-initialize some object IDs
(and you see later in the series what problems that causes) and that
will absolutely not work in Rust, since setting an enum to an invalid
value is undefined behaviour.
-- 
brian m. carlson (they/them)
Toronto, Ontario, CA